# Birdseed

FatBird Ruby Client

## Installation

Add this line to your application's Gemfile:

    gem 'birdseed'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install birdseed

## Usage

```ruby
  # Delivers a Delivery.
  Birdseed.api_key = "YOUR_API_KEY"
  Birdseed.deliver(
    campaign_id: "some_campaign_id",
    recipient: {address: "nic@edmodo.com", name: "Nic"},
    data: {some: "data"}
  )

  # Delivers a DeliveryItem.
  Birdseed.api_key = "YOUR_API_KEY"
  Birdseed.deliver_item(
    campaign_id: "some_campaign_id",
    scope: "1",
    recipient: {address: "nic@edmodo.com", name: "Nic"},
    data: {some: "data"}
  )

  # Finds sample data for a campaign.
  Birdseed.sample_data('some_campaign_id', default_value: 'DEFAULT_VALUE')
```

See all options at https://github.com/edmodo/fatbird#send-emails-using-rest-api

## Contributing

1. Fork it ( https://github.com/[my-github-username]/birdseed/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
